
Foreman - Refactor #35371

Update show_me_the_cookies dependency to 6.x

08/15/2022 10:48 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Tests   

Target version: 3.4.0   

Difficulty:  Fixed in Releases: 3.3.1, 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9353,

https://github.com/theforeman/foreman/p

ull/9404

  

Description

This version brings compatibility with rack-test 2.x.

Related issues:

Related to Foreman - Bug #35146: Tests are broken after rack-test upgrade to ... Closed

Has duplicate Foreman - Feature #35150: Remove rack-test lock from bundler.d/... Duplicate

Associated revisions

Revision c3c697fa - 08/16/2022 11:12 AM - Ewoud Kohl van Wijngaarden

Fixes #35371 - Update show_me_the_cookies to 6.x

This version brings compatibility with rack-test 2.x.

Fixes: a439e1e92e9f98f3dbc8ed2f204bd53cc861565e

History

#1 - 08/15/2022 10:49 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #35146: Tests are broken after rack-test upgrade to 2.0.0+ added

#2 - 08/15/2022 10:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9353 added

#3 - 08/16/2022 10:59 AM - Ewoud Kohl van Wijngaarden

- Target version set to 3.4.0

#4 - 08/16/2022 11:00 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #35150: Remove rack-test lock from bundler.d/test.rb added

#5 - 08/16/2022 11:12 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#6 - 08/16/2022 12:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c3c697fa131aa54c11918bcc563a7789f3c08ef7.

#7 - 08/25/2022 09:16 AM - The Foreman Bot

05/23/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c3c697fa131aa54c11918bcc563a7789f3c08ef7


- Fixed in Releases 3.4.1 added

#8 - 08/25/2022 09:29 AM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 3.4.0 added

- Fixed in Releases deleted (3.4.1, 3.5.0)

#9 - 09/06/2022 06:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9404 added

#10 - 09/08/2022 01:39 PM - The Foreman Bot

- Fixed in Releases 3.3.1 added

#11 - 10/06/2022 02:07 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Update show_me_the_cookies to 6.x to Update show_me_the_cookies dependency to 6.x
